libzypp 17.37.10

unixsignalsource.cpp File Reference
`#include "unixsignalsource.h"`
`#include "private/abstracteventsource_p.h"`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/base/Errno.h>`
`#include <zypp-core/base/Logger.h>`
`#include <unordered_map>`
`#include <sys/signalfd.h>`
`#include <signal.h>`

Go to the source code of this file.

## Classes
class | zyppng::UnixSignalSourcePrivate

## Namespaces
namespace | zyppng

## Functions
| zyppng::ZYPP_IMPL_PRIVATE (UnixSignalSource)